# Copyright (c) 2018, Linaro Limited
# SPDX-License-Identifier: Apache-2.0

description: BMS PINs parent node

compatible: "bms-pins"

include:
    - name: base.yaml
      property-allowlist: [label]

properties:
    label:
      description: |
        Human readable string describing the device and used to set the device
        name. It can be passed as argument to device_get_binding() to retrieve
        the device. If this property is omitted, then the device name is set
        from the node full name.

child-binding:
    description: BMS PIN child node
    properties:
       bmsgpios:
          type: phandle-array
          required: false
       label:
          required: true
          type: string
          description: |
            Human readable string describing the BMS PIN. It can be used by an
            application to identify this BMS PIN or to retrieve its number/index
            (i.e. child node number) on the parent device.
